sha256:03b20c1fa768b3ba8268ca71377c0f273addc9cf82ec067dcd1f6cc74ffc5f52
2019-07-10 11:59:31 CST
209 MB
https://github.com/AdoptOpenJDK/openjdk8-upstream-binaries/releases/download/jdk8u212-b04/OpenJDK8U-
JAVA_HOME/usr/local/openjdk-8
JAVA_URL_VERSION8u212b04
JAVA_VERSION8u212-b04
LANGC.UTF-8
PATH/usr/local/openjdk-8/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:a4d8138d0f6b5a441aaa533faf5fe0c3996a6ca42643c46f4402c7e8bda53742 - 20.66% (43.2 MB)
[#001] sha256:dbdc36973392a980d56b8fab63383ae44582f6502001d8bbdd543aa3bf1d746e - 4.92% (10.3 MB)
[#002] sha256:f59d6d019dd5b8398eb8d794e3fafe31f9411cc99a71dabfa587bf732b4a7385 - 1.98% (4.14 MB)
[#003] sha256:aaef3e0262580b9032fc6741fb099c7313834c7cf332500901e87ceeb38ac153 - 22.81% (47.7 MB)
[#004] sha256:5e86b04a450057b7425bfc849fbfb54b10afc762b24e1af1f81f654b6c30f29a - 2.25% (4.7 MB)
[#005] sha256:1a6643a2873a6456a6af724e45e9d5dd810ab16655bfb95e3bbd11d12e4ea93e - 0.0% (219 Bytes)
[#006] sha256:eabf1bdcaba70289678b8119d88ba70c4196fa259bc7d28ed292a0de4740ecdb - 47.39% (99.2 MB)
/bin/sh -c #(nop) ADD file:f615b611820773fd6bdf2fda01a5b2f24ca2877bd63fa0abd274985bed212e67 in /
2019-07-10 05:31:30 CST/bin/sh -c #(nop) CMD ["bash"]
2019-07-10 10:30:58 CST/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl netbase wget && rm -rf /var/lib/apt/lists/*
2019-07-10 10:31:05 CST/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi
2019-07-10 10:31:40 CST/bin/sh -c apt-get update && apt-get install -y --no-install-recommends bzr git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*
2019-07-10 11:58:46 CST/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends bzip2 unzip xz-utils ca-certificates p11-kit fontconfig libfreetype6 ; rm -rf /var/lib/apt/lists/*
2019-07-10 11:58:46 CST/bin/sh -c #(nop) ENV LANG=C.UTF-8
2019-07-10 11:59:17 CST/bin/sh -c #(nop) ENV JAVA_HOME=/usr/local/openjdk-8
2019-07-10 11:59:17 CST/bin/sh -c #(nop) ENV PATH=/usr/local/openjdk-8/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2019-07-10 11:59:18 CST/bin/sh -c { echo '#/bin/sh'; echo 'echo "$JAVA_HOME"'; } > /usr/local/bin/docker-java-home && chmod +x /usr/local/bin/docker-java-home && [ "$JAVA_HOME" = "$(docker-java-home)" ]
2019-07-10 11:59:18 CST/bin/sh -c #(nop) ENV JAVA_VERSION=8u212-b04
2019-07-10 11:59:18 CST/bin/sh -c #(nop) ENV JAVA_BASE_URL=https://github.com/AdoptOpenJDK/openjdk8-upstream-binaries/releases/download/jdk8u212-b04/OpenJDK8U-
2019-07-10 11:59:18 CST/bin/sh -c #(nop) ENV JAVA_URL_VERSION=8u212b04
2019-07-10 11:59:31 CST/bin/sh -c set -eux; dpkgArch="$(dpkg --print-architecture)"; case "$dpkgArch" in amd64) upstreamArch='x64' ;; arm64) upstreamArch='aarch64' ;; *) echo >&2 "error: unsupported architecture: $dpkgArch" ;; esac; wget -O openjdk.tgz.asc "${JAVA_BASE_URL}${upstreamArch}_linux_${JAVA_URL_VERSION}.tar.gz.sign"; wget -O openjdk.tgz "${JAVA_BASE_URL}${upstreamArch}_linux_${JAVA_URL_VERSION}.tar.gz" --progress=dot:giga; export GNUPGHOME="$(mktemp -d)"; gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys CA5F11C6CE22644D42C6AC4492EF8D39DC13168F; gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys EAC843EBD3EFDB98CC772FADA5CD6035332FA671; gpg --batch --list-sigs --keyid-format 0xLONG CA5F11C6CE22644D42C6AC4492EF8D39DC13168F | grep '0xA5CD6035332FA671' | grep 'Andrew Haley'; gpg --batch --verify openjdk.tgz.asc openjdk.tgz; gpgconf --kill all; rm -rf "$GNUPGHOME"; mkdir -p "$JAVA_HOME"; tar --extract --file openjdk.tgz --directory "$JAVA_HOME" --strip-components 1 --no-same-owner ; rm openjdk.tgz*; { echo '#!/usr/bin/env bash'; echo 'set -Eeuo pipefail'; echo 'if ! [ -d "$JAVA_HOME" ]; then echo >&2 "error: missing JAVA_HOME environment variable"; exit 1; fi'; echo 'cacertsFile=; for f in "$JAVA_HOME/lib/security/cacerts" "$JAVA_HOME/jre/lib/security/cacerts"; do if [ -e "$f" ]; then cacertsFile="$f"; break; fi; done'; echo 'if [ -z "$cacertsFile" ] || ! [ -f "$cacertsFile" ]; then echo >&2 "error: failed to find cacerts file in $JAVA_HOME"; exit 1; fi'; echo 'trust extract --overwrite --format=java-cacerts --filter=ca-anchors --purpose=server-auth "$cacertsFile"'; } > /etc/ca-certificates/update.d/docker-openjdk; chmod +x /etc/ca-certificates/update.d/docker-openjdk; /etc/ca-certificates/update.d/docker-openjdk; find "$JAVA_HOME/lib" -name '*.so' -exec dirname '{}' ';' | sort -u > /etc/ld.so.conf.d/docker-openjdk.conf; ldconfig; javac -version; java -version
sha256:d34b639550fd4a7d7076aa4d66400d99f9fbf91917866c7aa7ed9bde75297640
2019-07-11 02:33:53 CST
2.07 GB
https://github.com/AdoptOpenJDK/openjdk8-upstream-binaries/releases/download/jdk8u212-b04/OpenJDK8U-
JAVA_HOMEC:\openjdk-8
JAVA_URL_VERSION8u212b04
JAVA_VERSION8u212-b04
[#000] sha256:65014b3c312172f10bd6701a063f9b5aaf9a916c2d2cb843d406a6f77ded3f8d - 68.93% (1.43 GB)
[#001] sha256:02a4c14ecf32a07ddb51dcaae5b5a39c411423c76c18abc614470163e1d697da - 26.36% (560 MB)
[#002] sha256:1fe2cf7b4f2e1e9221b785b89be5ab29e182b88b2c4fda0f85ebd19be3ed56b7 - 0.0% (1.15 KB)
[#003] sha256:4dc96b66ec5b2f0de2740a33864f120ccf07a59e2687bc27565edeff32411ffb - 0.0% (1.16 KB)
[#004] sha256:f40f93958280037cc8bd55a1f5f5aca226592d5644040a46503b78c49da2dcb7 - 0.2% (4.2 MB)
[#005] sha256:774a2d1c62a7431e2893b514d4c8d53cd729aa099601854a70e3085738e3b318 - 0.0% (1.17 KB)
[#006] sha256:0b04cafcd8be8c88a1fb1fa2187d67803782f457a97aff9892a4901c037bb131 - 0.0% (1.19 KB)
[#007] sha256:1325fed216cace2bb1c51116303a50c68c03e69d9cd40c35068d5b32f6c4c685 - 0.0% (1.17 KB)
[#008] sha256:24a86fab9f718a92d29ef8404b98e03c76c9101a3063e5eeb0d048ebd41cdf6e - 4.51% (95.7 MB)
Apply image 1809-RTM-amd64
2019-07-02 08:03:56 CSTInstall update 1809-amd64
2019-07-10 20:59:16 CSTpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]
2019-07-11 02:31:40 CSTpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_HOME=C:\openjdk-8
2019-07-11 02:32:17 CSTpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $newPath = ('{0}\bin;{1}' -f $env:JAVA_HOME, $env:PATH); Write-Host ('Updating PATH: {0}' -f $newPath); setx /M PATH $newPath
2019-07-11 02:32:18 CSTpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_VERSION=8u212-b04
2019-07-11 02:32:20 CSTpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_BASE_URL=https://github.com/AdoptOpenJDK/openjdk8-upstream-binaries/releases/download/jdk8u212-b04/OpenJDK8U-
2019-07-11 02:32:21 CSTpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_URL_VERSION=8u212b04
2019-07-11 02:33:53 CSTpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $url = ('{0}x64_windows_{1}.zip' -f $env:JAVA_BASE_URL, $env:JAVA_URL_VERSION); Write-Host ('Downloading {0} ...' -f $url); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $url -OutFile 'openjdk.zip'; Write-Host 'Expanding ...'; New-Item -ItemType Directory -Path C:\temp | Out-Null; Expand-Archive openjdk.zip -DestinationPath C:\temp; Move-Item -Path C:\temp\* -Destination $env:JAVA_HOME; Remove-Item C:\temp; Write-Host 'Removing ...'; Remove-Item openjdk.zip -Force; Write-Host 'Verifying install ...'; Write-Host ' javac -version'; javac -version; Write-Host ' java -version'; java -version; Write-Host 'Complete.'
sha256:bf94a456945927a91894ceb0837575e0a2bdb4b3c30e35a488db4ae7618a6124
2019-07-11 02:36:28 CST
2.27 GB
https://github.com/AdoptOpenJDK/openjdk8-upstream-binaries/releases/download/jdk8u212-b04/OpenJDK8U-
JAVA_HOMEC:\openjdk-8
JAVA_URL_VERSION8u212b04
JAVA_VERSION8u212-b04
[#000] sha256:d9e8b01179bfc94a5bdb1810fbd76b999aa52016001ace2d3a4c4bc7065a9601 - 68.13% (1.55 GB)
[#001] sha256:2c94705eec1366ad664f9523fe8b5dc4ceed4b4dd7f784e64a526c588201bdc4 - 27.55% (640 MB)
[#002] sha256:c89fac54a19fafc4cdf9a405eedf45cff775b555901adb88d32498f3b6aa9d1a - 0.0% (1.17 KB)
[#003] sha256:814daeccd5aace00365217fb7b0dedf993cf79af47764fad4559d03b2d0b79e8 - 0.0% (1.15 KB)
[#004] sha256:b0cfb979ab06cab7a1845d387d739a5c912adb4203a3db89fabf536d6491a4c9 - 0.2% (4.57 MB)
[#005] sha256:9a290e5e6d76dd3bb43f8bc18201ed7631ec23cdffc7ce326ea612b178a67ff6 - 0.0% (1.15 KB)
[#006] sha256:ec9f31a6899557420b0e984f6cd5ffea3a116e87fabce6ae4d174c58e99d4c61 - 0.0% (1.15 KB)
[#007] sha256:b08c66fdb20d5246952b234c0fab2b6c25f4284062b3e1838d1254e733a30680 - 0.0% (1.12 KB)
[#008] sha256:48ef1bdbaf53f0848891d99ff2426b62b68712e59280d4e2c4035a626d12ebd1 - 4.12% (95.7 MB)
Apply image 1803-RTM-amd64
2019-07-05 23:30:33 CSTInstall update 1803-amd64
2019-07-10 20:51:44 CSTpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]
2019-07-11 02:34:09 CSTpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_HOME=C:\openjdk-8
2019-07-11 02:34:50 CSTpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $newPath = ('{0}\bin;{1}' -f $env:JAVA_HOME, $env:PATH); Write-Host ('Updating PATH: {0}' -f $newPath); setx /M PATH $newPath
2019-07-11 02:34:51 CSTpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_VERSION=8u212-b04
2019-07-11 02:34:53 CSTpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_BASE_URL=https://github.com/AdoptOpenJDK/openjdk8-upstream-binaries/releases/download/jdk8u212-b04/OpenJDK8U-
2019-07-11 02:34:55 CSTpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_URL_VERSION=8u212b04
2019-07-11 02:36:28 CSTpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $url = ('{0}x64_windows_{1}.zip' -f $env:JAVA_BASE_URL, $env:JAVA_URL_VERSION); Write-Host ('Downloading {0} ...' -f $url); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $url -OutFile 'openjdk.zip'; Write-Host 'Expanding ...'; New-Item -ItemType Directory -Path C:\temp | Out-Null; Expand-Archive openjdk.zip -DestinationPath C:\temp; Move-Item -Path C:\temp\* -Destination $env:JAVA_HOME; Remove-Item C:\temp; Write-Host 'Removing ...'; Remove-Item openjdk.zip -Force; Write-Host 'Verifying install ...'; Write-Host ' javac -version'; javac -version; Write-Host ' java -version'; java -version; Write-Host 'Complete.'
sha256:74ec3812056478690c92b9a2217f7786ffd27f493a4535a8774d709f411d2ad5
2019-07-11 02:40:00 CST
5.42 GB
https://github.com/AdoptOpenJDK/openjdk8-upstream-binaries/releases/download/jdk8u212-b04/OpenJDK8U-
JAVA_HOMEC:\openjdk-8
JAVA_URL_VERSION8u212b04
JAVA_VERSION8u212-b04
[#000] sha256:3889bb8d808bbae6fa5a33e07093e65c31371bcf9e4c38c21be6b9af52ad1548 - 69.94% (3.79 GB)
[#001] sha256:a816556df6ab81da5fe05f09f52050098042b11001ccce80336f3c312a840d65 - 28.16% (1.53 GB)
[#002] sha256:cbf4c44118697825454bf751cae7df452e8faea1234fe94d29ddeac3da79d248 - 0.0% (1.17 KB)
[#003] sha256:365e707f13630ea6a57ca27257714facf542b44bac093deaee1d38fe88474e34 - 0.0% (1.17 KB)
[#004] sha256:d515217d310b5b3ef1a44c963776c820f595aae236e6cd278b3eff6f4372de9d - 0.09% (5.07 MB)
[#005] sha256:69aa57e3d47777e003ec7a738e61b08d8fa2e4c1880940190943c51d09cd393e - 0.0% (1.16 KB)
[#006] sha256:ed172c15e61af1eacde8af9515f5d9e60aad825042af8fad4439274bd0f0d127 - 0.0% (1.16 KB)
[#007] sha256:f9d0e5adf28b6c54f9931887d257c9ec13c5c576845be233401abe3b0614ce77 - 0.0% (1.17 KB)
[#008] sha256:a9525035e1b40d405da2f8eca69ffdc4b5d04c4ba655c2a5d968104c333764fc - 1.81% (100 MB)
Apply image 1607-RTM-amd64
2019-07-05 23:56:18 CSTInstall update ltsc2016-amd64
2019-07-10 20:41:26 CSTpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]
2019-07-11 02:36:41 CSTpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_HOME=C:\openjdk-8
2019-07-11 02:37:44 CSTpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $newPath = ('{0}\bin;{1}' -f $env:JAVA_HOME, $env:PATH); Write-Host ('Updating PATH: {0}' -f $newPath); setx /M PATH $newPath
2019-07-11 02:37:46 CSTpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_VERSION=8u212-b04
2019-07-11 02:37:47 CSTpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_BASE_URL=https://github.com/AdoptOpenJDK/openjdk8-upstream-binaries/releases/download/jdk8u212-b04/OpenJDK8U-
2019-07-11 02:37:49 CSTpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_URL_VERSION=8u212b04
2019-07-11 02:40:00 CSTpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $url = ('{0}x64_windows_{1}.zip' -f $env:JAVA_BASE_URL, $env:JAVA_URL_VERSION); Write-Host ('Downloading {0} ...' -f $url); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $url -OutFile 'openjdk.zip'; Write-Host 'Expanding ...'; New-Item -ItemType Directory -Path C:\temp | Out-Null; Expand-Archive openjdk.zip -DestinationPath C:\temp; Move-Item -Path C:\temp\* -Destination $env:JAVA_HOME; Remove-Item C:\temp; Write-Host 'Removing ...'; Remove-Item openjdk.zip -Force; Write-Host 'Verifying install ...'; Write-Host ' javac -version'; javac -version; Write-Host ' java -version'; java -version; Write-Host 'Complete.'
Please be careful as this will not just delete the reference but also the actual content!
For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.